USE [master]
GO

/****** Object:  Database [AW]    Script Date: 1/17/2015 5:47:32 PM ******/
DROP DATABASE [AW]
GO

/****** Object:  Database [AW]    Script Date: 1/17/2015 5:47:32 PM ******/
CREATE DATABASE [AW]
 CONTAINMENT = NONE
 ON  PRIMARY 
( NAME = N'AW', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL12.MSSQLSERVER\MSSQL\DATA\AW.mdf' , SIZE = 3072KB , MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB ),
( NAME = N'Sales-2010', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL12.MSSQLSERVER\MSSQL\DATA\2010-Sales.ndf' , SIZE = 5120KB , MAXSIZE = UNLIMITED, FILEGROWTH = 2048KB ), 
 FILEGROUP [Production] 
( NAME = N'Production-F1', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL12.MSSQLSERVER\MSSQL\DATA\Production-F1.ndf' , SIZE = 3072KB , MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB ),
( NAME = N'Production-F2', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL12.MSSQLSERVER\MSSQL\DATA\Production-F2.ndf' , SIZE = 3072KB , MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB ), 
 FILEGROUP [Sales] 
( NAME = N'Sales-2008', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL12.MSSQLSERVER\MSSQL\DATA\2008-Sales.ndf' , SIZE = 5120KB , MAXSIZE = UNLIMITED, FILEGROWTH = 2048KB ),
( NAME = N'Sales-2009', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL12.MSSQLSERVER\MSSQL\DATA\2009-Sales.ndf' , SIZE = 5120KB , MAXSIZE = UNLIMITED, FILEGROWTH = 2048KB )
 LOG ON 
( NAME = N'AW_log', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL12.MSSQLSERVER\MSSQL\DATA\AW_log.ldf' , SIZE = 1024KB , MAXSIZE = 2048GB , FILEGROWTH = 10%)
GO

ALTER DATABASE [AW] SET COMPATIBILITY_LEVEL = 120
GO

IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [AW].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO

ALTER DATABASE [AW] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [AW] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [AW] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [AW] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [AW] SET ARITHABORT OFF 
GO

ALTER DATABASE [AW] SET AUTO_CLOSE OFF 
GO

ALTER DATABASE [AW] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [AW] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [AW] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [AW] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [AW] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [AW] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [AW] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [AW] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [AW] SET  ENABLE_BROKER 
GO

ALTER DATABASE [AW] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [AW] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [AW] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [AW] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [AW] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [AW] SET READ_COMMITTED_SNAPSHOT OFF 
GO

ALTER DATABASE [AW] SET HONOR_BROKER_PRIORITY OFF 
GO

ALTER DATABASE [AW] SET RECOVERY FULL 
GO

ALTER DATABASE [AW] SET  MULTI_USER 
GO

ALTER DATABASE [AW] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [AW] SET DB_CHAINING OFF 
GO

ALTER DATABASE [AW] SET FILESTREAM( NON_TRANSACTED_ACCESS = OFF ) 
GO

ALTER DATABASE [AW] SET TARGET_RECOVERY_TIME = 0 SECONDS 
GO

ALTER DATABASE [AW] SET DELAYED_DURABILITY = DISABLED 
GO

ALTER DATABASE [AW] SET  READ_WRITE 
GO


