-- Aktualisierung auf Basis einer anderen Tabelle
-- Daten ndern und abrufen
BEGIN TRANSACTION
UPDATE Production.Product2
   SET ListPrice = (SELECT ListPrice
                      FROM Production.Product AS p
                     WHERE p2.ProductNumber = p.ProductNumber)
  FROM Production.Product2 AS p2
-- berprfung
SELECT Name, ListPrice, StandardCost, Profit, ModifiedDate
  FROM Production.Product2
ROLLBACK
-- Ergebnis
/*
(252 Zeile(n) betroffen)

(252 Zeile(n) betroffen)
Name               ListPrice  StandardCost  Profit   ModifiedDate
------------------ ---------- ------------- -------- --------------
Adjustable Race    0,00       0,00          0,00     2005-09-10
Bearing Ball       0,00       0,00          0,00     2005-09-10
BB Ball Bearing    0,00       0,00          0,00     2005-09-10
...
(252 Zeile(n) betroffen)

*/