-- Standardflle der Aktualisierung
BEGIN TRANSACTION
-- Einfache Aktualisierung mit Filter
UPDATE Production.Product3
   SET ListPrice = 1
 WHERE ListPrice = 0
-- Dynamische Aktualisierung mit Filter
UPDATE Production.Product3
   SET ListPrice = ListPrice * 1.1
 WHERE ListPrice != 1
-- Mehrfache Aktualisierung
UPDATE Production.Product3
    SET ListPrice = ListPrice * 1.1,
        StandardCost = StandardCost * 1.1
GO
ROLLBACK

-- Ergebnis
/*
(200 Zeile(n) betroffen)
(52 Zeile(n) betroffen)
(252 Zeile(n) betroffen)
*/
