-- Gelbe T-Shirts in 'S', 'M' mit 'M'
SELECT Name, Size, Color
  FROM Production.Product
 WHERE Size IN ('S', 'M')
   AND Color = 'Yellow'
UNION ALL
SELECT Name, Size, Color
  FROM Production.Product
 WHERE Size = 'M'
   AND Color = 'Yellow'

-- Ergebnis
/*
Name                              Size  Color
--------------------------------- ----- -------
Short-Sleeve Classic Jersey, S    S     Yellow
Short-Sleeve Classic Jersey, M    M     Yellow
Short-Sleeve Classic Jersey, M    M     Yellow
*/