-- Gelbe T-Shirts in 'S', 'L', 'XL', 'M' ohne 'M'
SELECT Name, Size, Color
  FROM Production.Product
 WHERE Size IN ('S', 'L', 'XL', 'M')
   AND Color = 'Yellow'
EXCEPT
SELECT Name, Size, Color
  FROM Production.Product
 WHERE Size = 'M'
   AND Color = 'Yellow'

-- Ergebnis
/*
Name                                Size  Color
----------------------------------- ----- -------
Short-Sleeve Classic Jersey, S      S     Yellow
Short-Sleeve Classic Jersey, L      L     Yellow
Short-Sleeve Classic Jersey, XL     XL    Yellow
*/