-- Wieviele Datenstze sind in Contact?
SELECT COUNT(*) AS Anzahl
  FROM Person.Contact
-- Wie hoch sind die Verkufe?
SELECT SUM(SalesYTD)      AS Verkufe,
       SUM(SalesLastYear) AS LetzteVerkufe
  FROM Sales.SalesPerson
WHERE TerritoryID < 5
-- Wie hoch sind die Durchcshnittsverkufe?
SELECT AVG(SalesYTD)      AS Verkufe,
       AVG(SalesLastYear) AS LetzteVerkufe,
       AVG(SalesYTD) - AVG(SalesLastYear) AS Differenz
  FROM Sales.SalesPerson
-- Wie hoch waren die maxi-/minimalen Verkufe?
SELECT MAX(SalesYTD)      AS Maxi,
       MIN(SalesLastYear) AS Mini
  FROM Sales.SalesPerson

/*
SELECT SalesPersonID AS Nr,
       TerritoryID,
       SalesYTD,
       SalesLastYear
  FROM Sales.SalesPerson
WHERE TerritoryID < 5 */

-- Ergebnis
/*
Anzahl
-----------
19972

Verkufe       LetzteVerkufe
-------------- ---------------
22152408,0054  10558949,205

Verkufe       LetzteVerkufe  Differenz
-------------- --------------- --------------
2605530,949    1393291,9779    1212238,9711

Maxi          Mini
------------- -------
5200475,2313  0,00
*/