-- Einfache mathematische Berechnungen
SELECT ABS(-0.5) AS Betrag,
       ROUND(-0.7345, 2) AS Rund1,
       FLOOR(2.2) AS AbRund,
       CEILING(2.2) AS AufRund,
       PI() AS [Pi],
       SQUARE(5) AS Quadrat,
       POWER(5,2) AS Potenz,
       POWER(25, 0.5) AS Wurzel,
       EXP(1) AS [Eulersche Zahl],
       LOG(2) AS [Nat. Logarithmus],
       LOG(EXP(1)) AS [1],
       EXP(LOG(2)) AS [2]

-- Ergebnis
/*
Betrag      Rund1    AbRund  AufRund Pi
----------- -------- ------- ------- ----------------
0.5         -0.7300  2       3       3,14159265358979

Quadrat Potenz Wurzel   Eulersche Zahl Nat. Logarithmus  1  2
------- ------ -------- -------------- ----------------- -- --
25      25     5        2,718281828    0,69314718055     1  2


