-- Alle Produkte und mgliche Lagerpltze mit Namen
SELECT p.ProductID   AS [P-ID],
       piv.ProductID AS [PIV-ID],
       l.LocationID  AS [Loc-ID],
       Shelf         AS Regal,
       Bin           AS Kasten,
       l.Name
  FROM Production.Product AS p LEFT OUTER JOIN Production.ProductInventory AS piv
    ON p.ProductID = piv.ProductID
                               LEFT OUTER JOIN Production.Location AS L
    ON l.LocationID = piv.LocationID
  ORDER BY piv.ProductID

-- Ergebnis
/*
P-ID        PIV-ID      Loc-ID Regal      Kasten Name
----------- ----------- ------ ---------- ------ -----------------------
925         NULL        NULL   NULL       NULL   NULL
902         NULL        NULL   NULL       NULL   NULL
...
1           1           1      A          1      Tool Crib
1           1           6      B          5      Miscellaneous Storage
1           1           50     A          5      Subassembly
*/