-- Deklaration
DECLARE @listPrice money, @standardCost money
-- Kontrolle vorher
SELECT ListPrice, StandardCost
  FROM Production.Product3
 WHERE ProductNumber = 'FR-R38B-44'
-- Daten ndern und abrufen
BEGIN TRANSACTION
UPDATE Production.Product3
   SET @listPrice = ListPrice = ListPrice * 1.1,
       @standardCost = StandardCost = StandardCost * 1.1
 WHERE ProductNumber = 'FR-R38B-44'
-- Kontrolle
SELECT @listPrice, @standardCost
ROLLBACK
-- Ergebnis
/*
ListPrice             StandardCost
--------------------- ---------------------
337,22                204,6251
(1 Zeile(n) betroffen)
(1 Zeile(n) betroffen)          
--------------------- ---------------------
370,942               225,0876
(1 Zeile(n) betroffen)
*/