-- Deklaration
DECLARE @vCustomerID int,
        @vTerritoryID int,
        @vAddressID int,
        @vAddressLine nvarchar(200),
        @vCity nvarchar(30)
-- Initialisierung durch direkte Wertvorgabe
SET @vCustomerID = 6
-- Initialisierung per Abfrage
SELECT @vTerritoryID = TerritoryID,
       @vAddressID = AddressID
  FROM Sales.Customer AS c INNER JOIN Sales.CustomerAddress AS ca
    ON c.CustomerID = ca.CustomerID
 WHERE c.CustomerID = @vCustomerID
 PRINT 'Gebiet: ' + CAST(@vTerritoryID AS nvarchar(1)) 
 PRINT 'Adresse: ' + CAST(@vAddressID AS nvarchar(3))
-- Fallunterscheidung
IF @vTerritoryID = 4
 BEGIN
 SELECT @vAddressLine = AddressLine1,
        @vCity = City
   FROM Person.Address
  WHERE AddressID = @vAddressID
 PRINT @vAddressLine + ' ' + @vCity
 END
ELSE
 PRINT 'Gebiet ungleich 4'

-- Ergebnis
/*
Gebiet: 4
Adresse: 989
39933 Mission Oaks Blvd Camarill
*/
