-- Verlinkten Server einrichten
EXEC sp_addlinkedserver 
   @server = 'AWAccess', 
   @provider = 'Microsoft.Jet.OLEDB.4.0', 
   @srvproduct = 'OLE DB Provider for Jet',
   @datasrc = 'C:\Product.mdb'
-- Ausgabemglichkeit einrichten
EXEC sp_serveroption 'AWAccess', 'rpc out', true;
-- Kontrolle
EXEC sp_helpserver;
 -- Einfache Abfrage
EXEC ( 'SELECT * FROM Product;') AT AWAccess;
-- bergabe eines einfachen Paramters
EXEC ( 'SELECT * FROM Product WHERE Color = ?;', 'Black') AT AWAccess;
-- bergabe eines Parameters als Variable
DECLARE @vColor varchar(10); 
SET @vColor = 'Blue';
EXEC ( 'SELECT * FROM Product WHERE Color = ?;', @vColor) AT AWAccess;
-- Verlinkten Server lschen
EXEC sp_dropserver @server = 'AWAccess';
