BEGIN TRANSACTION
-- Variablen zur Fehleranalyse
DECLARE @vError int, @vRowCount int
-- Fehlerhafte Anweisung
DELETE FROM Production.UnitMeasure
 WHERE UnitMeasureCode = 'CM'
-- Speichern von @@ERROR und @@ROWCOUNT
SELECT @vError = @@ERROR, @vRowCount = @@ROWCOUNT
-- Untersuchung und Ausgabe
IF @vError <> 0 BEGIN
 IF @vError = 547 BEGIN
   PRINT 'Fehler bei referenzieller Integritt'
 END
 ELSE BEGIN
   PRINT 'Fehler ' + RTRIM(CAST(@vError AS NVARCHAR(10)))
 END
END
ROLLBACK

-- Ergebnis
/*
Meldung 547, Ebene 16, Status 0, Zeile 5
Die DELETE-Anweisung steht in Konflikt ...
Die Anweisung wurde beendet.
Fehler bei referenzieller Integritt
*/