-- Existenzprfung und Erstellung einer Pozedur
IF OBJECT_ID ( 'Production.usp_GetProductByNumber', 'P' ) IS NOT NULL 
    DROP PROCEDURE Production.usp_GetProductByNumber;
GO
CREATE PROCEDURE Production.usp_GetProductByNumber 
 (@vProductNumber nvarchar(25))
WITH RECOMPILE
AS BEGIN
SELECT Name,Color, ListPrice, Size
  FROM Production.Product
 WHERE ProductNumber = @vProductNumber
END
GO
EXEC Production.usp_GetProductByNumber 'SO-B909-L'

-- Ergebnis
/*
Name                     Color   ListPrice  Size
------------------------ ------- ---------- -----
Mountain Bike Socks, L   White   9,50       L
(1 Zeile(n) betroffen)
*/