-- Summe einer Bestellung,
-- Durchschnitt/Anzahl von Posten
SELECT SalesOrderID   AS Nr,
       SUM(LineTotal) AS Summe,
       AVG(LineTotal) AS Schnitt,
       COUNT(*)       AS Anzahl
  FROM Sales.SalesOrderDetail
  GROUP BY SalesOrderID
  ORDER BY Summe DESC

-- Ergebnis
/*
Nr       Summe           Schnitt        Anzahl
-------- --------------- -------------- -------
51131    163930.394292   2732.173238    60
55282    160378.391334   3144.674339    51
46616    150837.438737   2320.575980    65
*/