-- Alle Produkte und mgliche Lagerpltze
SELECT p.ProductID   AS [P-ID],
       piv.ProductID AS [PIV-ID],
       LocationID    AS [Loc-ID],
       Shelf         AS Regal,
       Bin           AS Kasten
  FROM Production.Product AS p LEFT OUTER JOIN Production.ProductInventory AS piv
    ON p.ProductID = piv.ProductID
  ORDER BY piv.ProductID

-- Ergebnis
/*
P-ID        PIV-ID      Loc-ID Regal      Kasten
----------- ----------- ------ ---------- ------
717         NULL        NULL   NULL       NULL
718         NULL        NULL   NULL       NULL
719         NULL        NULL   NULL       NULL
...
1           1           1      A          1
1           1           6      B          5
1           1           50     A          5
*/