-- Produkte, die an Sonderaktionen teilnahmen
SELECT DISTINCT ProductID
  FROM Sales.SpecialOfferProduct

-- Produkte teurer als Durchschnitt
SELECT ProductID, Name, ListPrice
  FROM Production.Product
 WHERE ProductID IN (SELECT DISTINCT ProductID
                       FROM Sales.SpecialOfferProduct)

SELECT DISTINCT p.ProductID, Name, ListPrice
  FROM Production.Product AS p INNER JOIN Sales.SpecialOfferProduct AS sop
    ON p.ProductID = sop.ProductID

-- Ergebnis
/*
ProductID   Name                               ListPrice
----------- ---------------------------------- -----------
680         HL Road Frame - Black, 58           1431,50
706         HL Road Frame - Red, 58             1431,50
707         Sport-100 Helmet, Red                 34,99
*/