-- Pro Kategorie das billigste Produkt
SELECT psc.Name, a.Name, ListPrice
  FROM Production.Product AS a INNER JOIN Production.ProductSubcategory AS psc
    ON a.ProductSubcategoryID = psc.ProductSubcategoryID
 WHERE ListPrice = (SELECT MIN(ListPrice)
                      FROM Production.Product AS b
                     WHERE a.ProductSubcategoryID = b.ProductSubcategoryID)
 ORDER BY ListPrice

-- Ergebnis
/*
Name                  Name                          ListPrice
--------------------- ----------------------------- -----------
Tires and Tubes        Patch Kit/8 Patches          2,29
Bottles and Cages      Water Bottle - 30 oz.        4,99
Cleaners               Bike Wash - Dissolver        7,95
*/