-- OUTPUT-Klausel
-- Variablen erstellen
DECLARE @outputTable table(ProductID    int,
                           ListPrice    money,
                           Profit       money,
                           ModifiedDate datetime)
-- Daten lschen und abrufen
BEGIN TRANSACTION
DELETE FROM Production.Product2
OUTPUT DELETED.ProductID, DELETED.Profit, DELETED.ListPrice, DELETED.ModifiedDate AS Date
  INTO @outputTable (ProductID, Profit, ListPrice, ModifiedDate)
WHERE ListPrice = 0
-- berprfung
SELECT TOP (3) * FROM @outputTable
SELECT TOP (3) Name, ListPrice, StandardCost, Profit, ModifiedDate
  FROM Production.Product2
ROLLBACK
-- Ergebnis
/*
(200 Zeile(n) betroffen)
ProductID   ListPrice             Profit                ModifiedDate
----------- --------------------- --------------------- -----------------------
266         0,00                  0,00                  2005-09-11 14:37:26.153
267         0,00                  0,00                  2005-09-11 14:37:26.153
268         0,00                  0,00                  2005-09-11 14:37:26.153

(3 Zeile(n) betroffen)

Name                           ListPrice             StandardCost          Profit                ModifiedDate
------------------------------ --------------------- --------------------- --------------------- -----------------------
LL Mountain Seat Assembly      133,34                98,77                 34,57                 2005-09-11 14:37:26.153
ML Mountain Seat Assembly      147,14                108,99                38,15                 2005-09-11 14:37:26.153
HL Mountain Seat Assembly      196,92                145,87                51,05                 2005-09-11 14:37:26.153

(3 Zeile(n) betroffen)
*/