-- Variablen
DECLARE @vDepID smallint,
        @vName nvarchar(50),
        @vGroupName nvarchar(50)
-- Cursorvariable deklarieren
DECLARE @cvDepartment CURSOR
-- Cursorvariable eine Abfrage zuordnen
SET @cvDepartment = CURSOR SCROLL GLOBAL FOR
  SELECT TOP 5 DepartmentID, Name, GroupName
    FROM HumanResources.Department 
-- 1. Schritt: ffnen
OPEN @cvDepartment
-- 2. Schritt: Abrufen
FETCH ABSOLUTE 2 FROM @cvDepartment 
INTO @vDepID, @vName, @vGroupName
PRINT CONVERT(nvarchar(10), @vDepID) + ' ' + @vName + ' ' + ' ' + @vGroupName
-- 3. Schritt: Schlieen
CLOSE @cvDepartment
-- 4. Schritt: Lschen
DEALLOCATE @cvDepartment 

-- Ergebnis
/*
C-Status CV-Status
-------- ---------
-1       -1
5 Purchasing  Inventory Management
1        1
-1       -1
*/