/*
-- Erstellen einer Tabelle
IF OBJECT_ID ('Production.Product3', 'T') IS NOT NULL BEGIN
  DROP TABLE Production.Product3
END
GO
CREATE TABLE Production.Product3 (
 Name          varchar(50)  NOT NULL,
 ProductNumber nvarchar(25) NOT NULL,
 ListPrice     money        NOT NULL,
 StandardCost  money        NULL)
GO
*/
WITH ProductTemp AS (
 SELECT ProductNumber
   FROM Production.Product
  WHERE ListPrice = 0
)
DELETE Production.Product3
  FROM Production.Product3 AS p INNER JOIN ProductTemp AS pt
    ON p.ProductNumber = pt.ProductNumber
GO
SELECT *
  FROM Production.Product3
 WHERE ListPrice = 0

