-- Tabelle anlegen
IF OBJECT_ID ('Production.Product3', 'T') IS NOT NULL
DROP TABLE Production.Product3
GO
CREATE TABLE Production.Product3 (
 Name          varchar(30)  NOT NULL,
 ProductNumber nvarchar(25) NOT NULL,
 ListPrice     money        NOT NULL,
 StandardCost  money        NULL)
GO
-- Prozedur zur Datenerfassung
IF OBJECT_ID ('Production.usp_InsertProduct', 'P') IS NOT NULL
DROP TABLE Production.usp_InsertProduct
GO
CREATE PROCEDURE Production.usp_InsertProduct (
 @vName          varchar(30),
 @vProductNumber nvarchar(25),
 @vListPrice     money,
 @vStandardCost  money
)
AS BEGIN
 INSERT INTO Production.Product3 
 (Name, ProductNumber, ListPrice, StandardCost)
 VALUES (@vName, @vProductNumber, @vListPrice, @vStandardCost)
END
-- Test
DELETE FROM Production.Product3
GO
EXEC Production.usp_InsertProduct @vName = 'HL Mountain Seat Assembly',
                                  @vProductNumber = 'SA-M687',
                                  @vListPrice = 196.92,
                                  @vStandardCost = 145.87
GO
SELECT * FROM Production.Product3