-- Existenzprfung und Erstellung einer Pozedur
IF OBJECT_ID ( 'Production.usp_GetProductByNumber', 'P' ) IS NOT NULL 
    DROP PROCEDURE Production.usp_GetProductByNumber;
GO
CREATE PROCEDURE Production.usp_GetProductByNumber 
 (@vProductNumber nvarchar(25))
WITH ENCRYPTION
AS BEGIN
SELECT Name,Color, ListPrice, Size
  FROM Production.Product
 WHERE ProductNumber = @vProductNumber
END
GO
EXEC sp_helptext 'Production.usp_GetProductByNumber'

-- Ergebnis
/*
Der Text fr das 'Production.usp_GetProductByNumber'-Objekt ist verschlsselt.
*/