-- OUTPUT-Klausel
-- Variablen erstellen
DECLARE @outputTable table(ProductID    int,
                           Profit       money,
                           ModifiedDate datetime)
-- Daten lschen
DELETE FROM Production.Product2
-- Eintragen und abrufen
INSERT INTO Production.Product2
(Name, ProductNumber, ListPrice, StandardCost)
OUTPUT INSERTED.ProductID, INSERTED.Profit, INSERTED.ModifiedDate AS Date
  INTO @outputTable (ProductID, Profit, ModifiedDate)
SELECT * FROM Production.Product3
-- berprfung
SELECT * FROM @outputTable
SELECT ProductID, Profit FROM Production.Product2
-- Ergebnis
/*
ProductID   Profit                ModifiedDate
----------- --------------------- -----------------------
11          NULL                  2005-09-08 22:10:42.840
12          NULL                  2005-09-08 22:10:42.840
13          NULL                  2005-09-08 22:10:42.840
(3 Zeile(n) betroffen)

ProductID   Profit
----------- ---------------------
11          34,57
12          38,15
13          51,05
(3 Zeile(n) betroffen)
*/