-- OUTPUT-Klausel
-- Variablen erstellen
DECLARE @outputTable table(ProductID    int,
                           ListPrice    money,
                           Profit       money,
                           ModifiedDate datetime)
-- Daten ndern und abrufen
BEGIN TRANSACTION
UPDATE Production.Product2
   SET ListPrice = (CASE ListPrice
                     WHEN 0 THEN 1
                     ELSE ListPrice * 1.1
                    END)
OUTPUT INSERTED.ProductID, INSERTED.Profit, INSERTED.ListPrice, INSERTED.ModifiedDate AS Date
  INTO @outputTable (ProductID, Profit, ListPrice, ModifiedDate)
-- berprfung
SELECT TOP (3) * FROM @outputTable
SELECT TOP (3) Name, ListPrice, StandardCost, Profit, ModifiedDate
  FROM Production.Product2
ROLLBACK
-- Ergebnis
/*
(252 Zeile(n) betroffen)

(252 Zeile(n) betroffen)
ProductID   ListPrice   Profit    ModifiedDate
----------- ----------- --------- --------------
14          1,00        0,00      2005-09-10
15          1,00        0,00      2005-09-10
16          1,00        0,00      2005-09-10
(3 Zeile(n) betroffen)

Name             ListPrice  StandardCost  Profit  ModifiedDate
---------------- ---------- ------------- ------- -------------
Adjustable Race  1,00       0,00          1,00    2005-09-10
Bearing Ball     1,00       0,00          1,00    2005-09-10
BB Ball Bearing  1,00       0,00          1,00    2005-09-10

*/