-- Erstellen einer Tabelle
IF OBJECT_ID ('Production.Product3', 'T') IS NOT NULL BEGIN
  DROP TABLE Production.Product3
END
GO
CREATE TABLE Production.Product3 (
 Name          varchar(50)  NOT NULL,
 ProductNumber nvarchar(25) NOT NULL,
 ListPrice     money        NOT NULL,
 StandardCost  money        NULL)
GO
WITH ProductTemp AS (
 SELECT Name, ProductNumber, ListPrice, StandardCost
   FROM Production.Product
)
INSERT INTO Production.Product3
(Name, ProductNumber, ListPrice, StandardCost)
SELECT * FROM ProductTemp
GO
SELECT * FROM Production.Product3

