USE [AW-Tuning]
GO
-- Einschalten
SET SHOWPLAN_ALL ON;
GO
-- Abfrage 1
SELECT pc.Name AS Category, 
       psc.Name AS Subcategory, 
	   p.ProductNumber, 
	   p.Name AS Product,
	   p.ListPrice, 
	   p.StandardCost
  FROM Production.ProductSubcategory AS psc INNER JOIN Production.ProductCategory AS pc 
    ON psc.ProductCategoryID = pc.ProductCategoryID
       INNER JOIN Production.Product AS p 
	   ON pc.ProductCategoryID = p.ProductSubcategoryID
 WHERE ListPrice > (SELECT AVG(ListPrice) FROM Production.Product);

-- Abfrage 2
SELECT AVG(ListPrice) FROM Production.Product;
GO

-- Ausschalten
SET SHOWPLAN_ALL OFF;