-- Abfrage 1
SELECT pc.Name AS Category, 
       psc.Name AS Subcategory, 
	   p.ProductNumber, 
	   p.Name AS Product,
	   p.ListPrice, 
	   p.StandardCost
  FROM Production.ProductSubcategory AS psc INNER JOIN Production.ProductCategory AS pc 
    ON psc.ProductCategoryID = pc.ProductCategoryID
       INNER JOIN Production.Product AS p 
	   ON pc.ProductCategoryID = p.ProductSubcategoryID
 WHERE ListPrice > (SELECT AVG(ListPrice) FROM Production.Product)
   AND Color = 'Black';
-- Abfrage 2
SELECT pc.Name AS Category, 
       psc.Name AS Subcategory
  FROM  Production.ProductSubcategory AS psc INNER JOIN Production.ProductCategory AS pc 
    ON psc.ProductCategoryID = pc.ProductCategoryID
 WHERE pc.Name IN ('Bikes', 'Components')
 ORDER BY 1,2;
-- Abfrage 3
SELECT year(soh.OrderDate)           AS SalesYear,
       SUM(soh.TotalDue)             AS SalesAmount,
	   SUM([Freight])                AS TotalFreight,
	   SUM(TaxAmt)                   AS TotalTaxes,
	   COUNT(sod.SalesOrderDetailID) AS Items
  FROM Sales.SalesOrderDetail AS sod INNER JOIN  Sales.SalesOrderHeader AS soh 
       ON sod.SalesOrderID = soh.SalesOrderID
 WHERE [OnlineOrderFlag] = 1
 GROUP BY year(soh.OrderDate)
 ORDER BY 1;
-- Abfrage 4
SELECT year(soh.OrderDate)           AS SalesYear,
       SUM(soh.TotalDue)             AS SalesAmount,
	   SUM([Freight])                AS TotalFreight,
	   SUM(TaxAmt)                   AS TotalTaxes,
	   COUNT(sod.SalesOrderDetailID) AS Items
  FROM Sales.SalesOrderDetail AS sod INNER JOIN  Sales.SalesOrderHeader AS soh 
       ON sod.SalesOrderID = soh.SalesOrderID
 WHERE [OnlineOrderFlag] = 0
 GROUP BY year(soh.OrderDate)
 ORDER BY 1;
 -- Abfrage 5
SELECT [Name], [ProductNumber], [Color]
  FROM [Production].[Product]
 WHERE ListPrice > 1000
   AND Color = 'Black';
 -- Abfrage 6
SELECT [Name], [ProductNumber], [Color]
  FROM [Production].[Product]
 WHERE ListPrice < 1000
   AND Color = 'Black';