USE [master]
GO

/****** Object:  Database [AW-Tuning]    Script Date: 5/22/2015 11:58:20 AM ******/
CREATE DATABASE [AW-Tuning]
 CONTAINMENT = NONE
 ON  PRIMARY 
( NAME = N'AW-Tuning', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL12.MSSQLSERVER\MSSQL\DATA\AW-Tuning.mdf' , SIZE = 16384KB , MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB )
 LOG ON 
( NAME = N'AW-Tuning_log', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL12.MSSQLSERVER\MSSQL\DATA\AW-Tuning_log.ldf' , SIZE = 3136KB , MAXSIZE = 2048GB , FILEGROWTH = 10%)
GO

ALTER DATABASE [AW-Tuning] SET COMPATIBILITY_LEVEL = 120
GO

IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [AW-Tuning].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO

ALTER DATABASE [AW-Tuning] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [AW-Tuning] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [AW-Tuning] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [AW-Tuning] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [AW-Tuning] SET ARITHABORT OFF 
GO

ALTER DATABASE [AW-Tuning] SET AUTO_CLOSE OFF 
GO

ALTER DATABASE [AW-Tuning] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [AW-Tuning] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [AW-Tuning] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [AW-Tuning] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [AW-Tuning] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [AW-Tuning] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [AW-Tuning] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [AW-Tuning] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [AW-Tuning] SET  DISABLE_BROKER 
GO

ALTER DATABASE [AW-Tuning] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [AW-Tuning] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [AW-Tuning] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [AW-Tuning] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [AW-Tuning] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [AW-Tuning] SET READ_COMMITTED_SNAPSHOT OFF 
GO

ALTER DATABASE [AW-Tuning] SET HONOR_BROKER_PRIORITY OFF 
GO

ALTER DATABASE [AW-Tuning] SET RECOVERY FULL 
GO

ALTER DATABASE [AW-Tuning] SET  MULTI_USER 
GO

ALTER DATABASE [AW-Tuning] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [AW-Tuning] SET DB_CHAINING OFF 
GO

ALTER DATABASE [AW-Tuning] SET FILESTREAM( NON_TRANSACTED_ACCESS = OFF ) 
GO

ALTER DATABASE [AW-Tuning] SET TARGET_RECOVERY_TIME = 0 SECONDS 
GO

ALTER DATABASE [AW-Tuning] SET DELAYED_DURABILITY = DISABLED 
GO

ALTER DATABASE [AW-Tuning] SET  READ_WRITE 
GO


