-- Anmeldung erstellen
USE [master]
GO
CREATE LOGIN [AntonEbenhof] WITH PASSWORD=N'anton', 
DEFAULT_DATABASE=[AW-Admin], DEFAULT_LANGUAGE=[Deutsch], 
CHECK_EXPIRATION=OFF, CHECK_POLICY=OFF
GO
-- Benutzer erstellen
USE [AW-Admin]
GO
CREATE USER [AntonEbenhof] FOR LOGIN [AntonEbenhof]
GO
-- Individuelle Rechte erteilen
GRANT SELECT,
      UPDATE (ListPrice, StandardCost)
      ON OBJECT::Production.Product 
   TO AntonEbenhof
GO
DENY DELETE ON OBJECT::Production.Product
  TO AntonEbenhof
GO
REVOKE SELECT, UPDATE ON OBJECT::Production.Product
  FROM AntonEbenhof
GO
REVOKE ALL ON OBJECT::Production.Product -- veraltet
  FROM AntonEbenhof
GO