-- Gelbe T-Shirts in 'S', 'M' verglichen mit 'M'
SELECT Name, Size, Color
  FROM Production.Product
 WHERE Size IN ('S', 'M')
   AND Color = 'Yellow'
INTERSECT
SELECT Name, Size, Color
  FROM Production.Product
 WHERE Size = 'M'
   AND Color = 'Yellow'

-- Ergebnis
/*
Name                             Size  Color
-------------------------------- ----- -------
Short-Sleeve Classic Jersey, M   M     Yellow
*/