-- Datumsteil mit vollem Namen
SELECT DATEADD(day, 21, '01.01.2006') AS TagPlus,
       DATEADD(month, 1, '28.02.2006') AS MonatPlus,
       DATEADD(month, 1, '30.01.2006') AS MonatPlus,
       DATEADD(minute, 1, '30.01.2006 01:10:30.000') AS MinutePlus
-- Datumsteil mit abgekrztem Namen
SELECT DATEADD(q, 2, '09.01.2006') AS QuartalPlus,
       DATEADD(dy, 1, '28.02.2006') AS TagPlus,
       DATEADD(wk, 1, '30.01.2006') AS WochePlus,
       DATEADD(mi, 1, '30.01.2006 01:10:30.000') AS MinutePlus
-- Ergebnis
/*
TagPlus                 MonatPlus               
----------------------- ----------------------- 
2006-01-22 00:00:00.000 2006-03-28 00:00:00.000
 
MonatPlus               MinutePlus
----------------------- -----------------------
2006-02-28 00:00:00.000 2006-01-30 01:11:30.000

QuartalPlus             TagPlus                 
----------------------- ----------------------- 
2006-07-09 00:00:00.000 2006-03-01 00:00:00.000
 
WochePlus               MinutePlus
----------------------- -----------------------
2006-02-06 00:00:00.000 2006-01-30 01:11:30.000
*/