-- Datumsteil mit vollem Namen
SELECT DATENAME(day, '01.01.2006') AS Tag,
       DATENAME(month, '28.02.2006') AS Monat,
       DATENAME(quarter, '30.01.2006') AS Quartal,
       DATENAME(year, '30.01.2006 01:10:30.000') AS Jahr
-- Datumsteil mit abgekrztem Namen
SELECT DATENAME(q, '09.01.2006') AS Quartal,
       DATENAME(dy, '28.02.2006') AS Tag,
       DATENAME(dw, '28.02.2006') AS Tag,
       DATENAME(wk, '30.01.2006') AS Woche,
       DATENAME(mi, '30.01.2006 01:10:30.000') AS Minute
-- Ergebnis
/*
Tag   Monat    Quartal  Jahr Quartal Tag Tag      Woche Minute
----- -------- -------- ---- ------- --- -------- ----- -------
1     Februar   1       2006 1       59  Dienstag 6     10
*/