-- bersetzung der Status-Angabe
SELECT VendorID,
       Name,
       CASE ActiveFlag
        WHEN 1 THEN 'Aktiv'
        ELSE 'Inaktiv'
       END AS Status
  FROM Purchasing.Vendor

-- Ergebnis
/*
VendorID    Name                                Status
----------- ----------------------------------- -------
1           International                       Aktiv
2           Electronic Bike Repair & Supplies   Aktiv
48          Gardner Touring Cycles              Inaktiv
*/