-- Cursor
DECLARE cDepartment CURSOR SCROLL
    FOR SELECT TOP 5 DepartmentID, Name, GroupName
          FROM HumanResources.Department
-- Variablen
DECLARE @vDepID smallint,
        @vName nvarchar(50),
        @vGroupName nvarchar(50)
-- 1. Schritt: ffnen
OPEN cDepartment
-- 2. Schritt: Abrufen
-- Letzte Reihe
FETCH LAST FROM cDepartment
 INTO @vDepID, @vName, @vGroupName
PRINT CONVERT(nvarchar(10), @vDepID) + ' ' + @vName
-- Vorherige Reihe, relativ zur aktuellen
FETCH PRIOR FROM cDepartment
 INTO @vDepID, @vName, @vGroupName
PRINT CONVERT(nvarchar(10), @vDepID) + ' ' + @vName
-- Absolut zweite
FETCH ABSOLUTE 2 FROM cDepartment
 INTO @vDepID, @vName, @vGroupName
PRINT CONVERT(nvarchar(10), @vDepID) + ' ' + @vName
-- Relativ dritte Reihe zur aktuellen
FETCH RELATIVE 3 FROM cDepartment
 INTO @vDepID, @vName, @vGroupName
PRINT CONVERT(nvarchar(10), @vDepID) + ' ' + @vName
-- Relativ zweite Reihe vor der aktuellen
FETCH RELATIVE -2 FROM cDepartment
 INTO @vDepID, @vName, @vGroupName
PRINT CONVERT(nvarchar(10), @vDepID) + ' ' + @vName
-- 3. Schritt: Schlieen und lschen
CLOSE cDepartment
DEALLOCATE cDepartment

-- Ergebnis
/*
5 Purchasing
4 Marketing
2 Tool Design
5 Purchasing
3 Sales
*/

