-- Variablen
DECLARE @vDepID smallint,
        @vName nvarchar(50),
        @vGroupName nvarchar(50)
-- Cursor deklarieren
DECLARE cDepartment CURSOR SCROLL GLOBAL FOR
  SELECT TOP 5 DepartmentID, Name, GroupName
    FROM HumanResources.Department
-- Cursorvariable deklarieren
DECLARE @cvDepartment CURSOR
-- Cursorvariable einem Cursor zuordnen
SET @cvDepartment = cDepartment 
-- Test
SELECT CURSOR_STATUS('global', 'cDepartment') AS [C-Status],
       CURSOR_STATUS('variable', '@cvDepartment') AS [CV-Status]
-- 1. Schritt: ffnen
OPEN @cvDepartment
-- 2. Schritt: Abrufen
FETCH LAST FROM @cvDepartment 
INTO @vDepID, @vName, @vGroupName
PRINT CONVERT(nvarchar(10), @vDepID) + ' ' + @vName + ' ' + ' ' + @vGroupName
-- Test
SELECT CURSOR_STATUS('global', 'cDepartment') AS [C-Status],
       CURSOR_STATUS('variable', '@cvDepartment') AS [CV-Status]
-- 3. Schritt: Schlieen
CLOSE @cvDepartment
-- 4. Schritt: Lschen
SELECT CURSOR_STATUS('global', 'cDepartment') AS [C-Status],
       CURSOR_STATUS('variable', '@cvDepartment') AS [CV-Status]
DEALLOCATE @cvDepartment 
DEALLOCATE cDepartment 

-- Ergebnis
/*
C-Status CV-Status
-------- ---------
-1       -1
5 Purchasing  Inventory Management
1        1
-1       -1
*/