USE AdventureWorks
GO
-- Bei Existenz lschen
IF EXISTS 
   (SELECT * FROM sys.triggers
     WHERE parent_class = 0 AND name = 'trgAlterView')
 DROP TRIGGER trgAlterView
   ON DATABASE
GO
-- Trigger mit Datenbankbereich
CREATE TRIGGER trgAlterView 
ON DATABASE 
FOR ALTER_VIEW
AS 
  PRINT 'Sichtnderung untersagt' 
  ROLLBACK
GO
-- Test
ALTER VIEW Production.vProductInventory AS
SELECT * FROM Production.Product2
GO

-- Ergebnis
/*
Sichtnderung untersagt
Msg 3609, Level 16, State 2, Procedure vProductInventory, Line 3
Die Transaktion endete mit dem Trigger. Der Batch wurde abgebrochen.
*/