-- Apply mit CROSS und Unterabfrage
SELECT sc.Name AS Category, p.Name, ProductNumber
  FROM Production.ProductSubcategory AS sc
       CROSS APPLY 
       (SELECT Name, ProductNumber, Color, Size
          FROM Production.Product
         WHERE ProductSubCategoryID = sc.ProductSubCategoryID) AS p
 WHERE sc.Name LIKE '%Bike%'

-- Apply mit OUTER und Unterabfrage

SELECT *
  FROM Production.Product AS p
       LEFT OUTER JOIN Production.ProductSubcategory AS sc
       ON p.ProductSubcategoryID = sc.ProductSubcategoryID
 WHERE p.ProductSubcategoryID IS NULL

SELECT p.Name, p.ProductNumber, sc.Name 
  FROM Production.Product AS p
       OUTER APPLY
       (SELECT *
          FROM Production.ProductSubcategory AS sc
         WHERE p.ProductSubcategoryID = sc.ProductSubcategoryID) AS sc
 WHERE p.ProductSubcategoryID IS NULL