-- Auf Existenz prfen und ggf. lschen
IF OBJECT_ID (N'dbo.ufnGetProducts', N'IF') IS NOT NULL
    DROP FUNCTION dbo.ufnGetProducts
GO
-- Erstellen
CREATE FUNCTION dbo.ufnGetProducts (
 @SubCategoryID int
)
RETURNS table AS
RETURN (
SELECT Name, ProductNumber, Color, Size
 FROM Production.Product
 WHERE ProductSubCategoryID = @SubCategoryID)
GO
-- Apply
SELECT sc.Name AS Category, p.Name, ProductNumber
FROM Production.ProductSubcategory AS sc CROSS APPLY dbo.ufnGetProducts(sc.ProductSubCategoryID) AS p
WHERE sc.Name LIKE '%Bike%'

SELECT sc.Name, p.Name, ProductNumber
FROM Production.ProductSubcategory AS sc OUTER APPLY dbo.ufnGetProducts(sc.ProductSubCategoryID) AS p