-- Angestellte mit Kontaktdaten, Schicht
SELECT emp.EmployeeID, emp.Title, LastName, StartTime, EndTime
  FROM HumanResources.Employee AS emp,
       Person.Contact          AS con,
       HumanResources.EmployeeDepartmentHistory AS edh,
       HumanResources.Shift    AS sh
 WHERE emp.ContactID = con.ContactID
   AND emp.EmployeeID = edh.EmployeeID
   AND edh.ShiftID = sh.ShiftID
   AND emp.EmployeeID = 119

-- Ergebnis
/*
EmployeeID  Title                 LastName    StartTime    EndTime
----------- --------------------- ----------- ------------ ------------
119         Marketing Specialist  Williams    07:00:00.000 15:00:00.000

*/