-- Durchschnittspreis (= 438,6662)
SELECT AVG(ListPrice) AS Schnitt
  FROM Production.Product
-- Grter Preis (= 3578,27)
SELECT MAX(ListPrice) AS Maxi
  FROM Production.Product

-- Produkte mit Preis zwischen Durchschnitt und Maximum
SELECT ProductID, Name, ListPrice
  FROM Production.Product
 WHERE ListPrice BETWEEN (SELECT AVG(ListPrice) AS Schnitt
                            FROM Production.Product)
                 AND (SELECT MAX(ListPrice) AS Maxi
                        FROM Production.Product)
ORDER BY ListPrice ASC

-- Ergebnis
/*
ProductID   Name                             ListPrice
----------- -------------------------------- ----------
977         Road-750 Black, 58               539,99
989         Mountain-500 Black, 40           539,99
*/