-- Anzahl von Mnnern und Frauen in Belegschaft
SELECT Gender AS Geschlecht,
       COUNT(*) AS Anzahl
  FROM HumanResources.Employee 
 GROUP BY Gender

-- Ergebnis
/*
Geschlecht Anzahl
---------- -----------
F          84
M          206
(2 Zeile(n) betroffen)
*/

SELECT DISTINCT
       (SELECT COUNT(*)
          FROM HumanResources.Employee
         WHERE Gender = 'M') AS [Anzahl M],
       (SELECT COUNT(*)
          FROM HumanResources.Employee
         WHERE Gender = 'F') AS [Anzahl F]
  FROM HumanResources.Employee

-- Ergebnis
/*
Anzahl M    Anzahl F
----------- -----------
206         84
(1 Zeile(n) betroffen)
*/