-- Liste aller Fhrungskrfte
SELECT EmployeeID,
       (SELECT FirstName + ' ' + LastName
          FROM Person.Contact AS c
         WHERE c.ContactID = emp.ContactID) AS Name
FROM HumanResources.Employee AS emp
WHERE EmployeeID IN (SELECT DISTINCT ManagerID AS EmployeeID
                       FROM HumanResources.Employee
                      WHERE ManagerID IS NOT NULL)
ORDER BY EmployeeID

-- Ergebnis
/*
EmployeeID  Name
----------- ---------------------
3           Roberto Tamburello
6           David Bradley
7           JoLynn Dobney
*/