-- Ermittlung der Bedeutung
SELECT Name,
       CASE 
        WHEN Orders > 50 THEN 1
        WHEN Orders = 50 THEN 2
        ElSE 3
       END AS Status
  FROM (SELECT v.VendorID,
               Name,
               COUNT(PurchaseOrderID) AS Orders
          FROM Purchasing.Vendor AS v INNER JOIN Purchasing.PurchaseOrderHeader AS poh
            ON v.VendorID = poh.VendorID
         GROUP BY v.VendorID, Name) AS d

SELECT VendorID, COUNT(*) FROM Purchasing.PurchaseOrderHeader GROUP BY VendorID 

-- Ergebnis
/*
Name                                  Status
------------------------------------- ---------
International                         1
Electronic Bike Repair & Supplies     1
Premier Sport, Inc.                   2
*/