-- OUTPUT-Klausel
-- Variablen erstellen
DECLARE @outputTable table(ProductID    int,
                           Profit       money,
                           ModifiedDate datetime)
-- Daten lschen
DELETE FROM Production.Product2
-- Eintragen und abrufen
INSERT INTO Production.Product2 
(Name, ProductNumber, ListPrice, StandardCost)
OUTPUT INSERTED.ProductID, INSERTED.Profit, INSERTED.ModifiedDate AS Date
  INTO @outputTable (ProductID, Profit, ModifiedDate)
VALUES ('LL Road Seat Assembly', 'SA-R127', 133.34, 98.77)
-- berprfung
SELECT * FROM @outputTable
SELECT ProductID, Profit FROM Production.Product2
-- Ergebnis
/*
ProductID   Profit         ModifiedDate
----------- -------------- --------------
10          NULL            2005-09-08
(1 Zeile(n) betroffen)
ProductID   Profit
----------- ---------------------
10          34,57
(1 Zeile(n) betroffen)
*/