-- OUTPUT-Klausel
-- Variable erstellen
DECLARE @outputTable table(ProductID    int,
                           ListPrice    money,
                           ModifiedDate datetime,
                           LocationID   int)
-- Daten ndern und abrufen
BEGIN TRANSACTION
UPDATE Production.Product2
   SET ListPrice = ListPrice * 1.1
OUTPUT INSERTED.ProductID, INSERTED.ListPrice, INSERTED.ModifiedDate, pinv.LocationID
  INTO @outputTable (ProductID, ListPrice, ModifiedDate, LocationID)
FROM Production.Product2 AS p2 INNER JOIN Production.ProductInventory AS pinv
    ON p2.ProductID = pinv.ProductID
WHERE ListPrice > 0
-- berprfung
SELECT TOP (3) * FROM @outputTable
ROLLBACK
-- Ergebnis
/*
(46 Zeile(n) betroffen)
(46 Zeile(n) betroffen)
ProductID   ListPrice             ModifiedDate            LocationID
----------- --------------------- ----------------------- -----------
452         146,674               2005-09-11 14:37:26.153 1
453         161,854               2005-09-11 14:37:26.153 1
454         216,612               2005-09-11 14:37:26.153 1
(3 Zeile(n) betroffen)
*/