-- uere Transaktion
BEGIN TRANSACTION Produktbearbeitung
DELETE FROM Production.Product3
-- Test: 0 Datenstze (zwei gelscht)
SELECT COUNT(*) AS Eingetragen FROM Production.Product3
 
-- Innere Transaktion (ROLLBACK nicht mglich)
 BEGIN TRANSACTION
 INSERT INTO Production.Product3
 VALUES ('LL Mountain Seat Assembly', 'SA-M198', 133.34, 98.77)
 -- Test: 1 Datensatz
 SELECT COUNT(*) AS Eingetragen FROM Production.Product3
 -- Besttigung des einen Datensatzes
 COMMIT TRANSACTION

-- Zurcksetzen der ueren Transaktion
ROLLBACK TRANSACTION Produktbearbeitung
-- Test: 2 Datenstze (aus vorherigem Beispiel)
SELECT COUNT(*) AS Eingetragen FROM Production.Product3

-- Ergebnis
/*
(2 Zeile(n) betroffen)
Eingetragen
-----------
0

(1 Zeile(n) betroffen)

(1 Zeile(n) betroffen)

Eingetragen
-----------
1

(1 Zeile(n) betroffen)

Eingetragen
-----------
2

(1 Zeile(n) betroffen)
*/