-- Cursor fr die Abfrage der Regionen
DECLARE c_region CURSOR SCROLL
FOR SELECT DISTINCT TerritoryID
      FROM Sales.SalesOrderHeader
     ORDER BY TerritoryID
-- Zeichenketten fr Zhler, Ausgabespalte(n) erstellen
DECLARE @spalte int, @spalten varchar(255), @i int
-- Vorgabewerte
SET @spalten = ''
SET @i = 1
-- Verarbeitung Cursor c_region
OPEN c_region
FETCH c_region INTO @spalte
WHILE (@@FETCH_STATUS = 0) BEGIN
 -- Zusammensetzen der Zeichenkette
 IF @i = 1 BEGIN
  SET @spalten = @spalten + '[' + LTRIM(STR(@spalte)) + ']'
 END ELSE BEGIN
  SET @spalten = @spalten + ', [' + LTRIM(STR(@spalte)) + ']'
 END
 -- Inkrementation
 SET @i = @i + 1
 -- Nchster Abruf
 FETCH c_region INTO @spalte
END
CLOSE c_region
DEALLOCATE c_region
-- SQL zusammensetzen und ausfhren
EXEC ('SELECT OrderDate, ' + @spalten + 
      '  FROM (SELECT TerritoryID     AS Region,
                      YEAR(OrderDate) AS OrderDate,
                      TotalDue
                  FROM Sales.SalesOrderHeader) AS Turnover
         PIVOT (SUM(TotalDue)
                FOR Region IN (' +  @spalten + ')) AS p')

-- Ergebnis
/*
OrderDate   1             2              3
----------- ------------- -------------- ---------------
2001        2703481,7947  754833,2045    1263884,1024
2002        5651688,6685  3275322,1694   3518185,4756
2003        7494658,0357  3833030,25     4015356,874
2004        4952772,2793  1406555,6861   1771532,7396
(4 Zeile(n) betroffen)
*/