-- Werte errechnen
WITH Turnover AS (
SELECT SUM(TotalDue) AS Total
  FROM Sales.SalesOrderHeader
 GROUP BY YEAR(OrderDate)
)
SELECT CASE COUNT(*)%2
        WHEN 0 THEN (a.Total + MIN(CASE WHEN b.Total > a.Total THEN b.Total ELSE NULL END))/2.0
 ELSE a.Total END AS Median
  FROM Turnover AS a CROSS JOIN Turnover AS b
 GROUP BY a.Total
HAVING COUNT(CASE WHEN b.Total <= a.Total THEN 1 ELSE NULL END) = (COUNT(*)+1)/2 

-- Ergebnis
/*
(4 Zeile(n) betroffen)
Median
---------------------------------------
36036208.760000
Warnung: Ein NULL-Wert wird durch einen Aggregat- oder sonstigen SET-Vorgang gelscht.
*/

